.TH wxNavigationKeyEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxNavigationKeyEvent \- See external documentation: wxNavigationKeyEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxNavigationKeyEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnavigationkeyevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fInavigation_key\fR
.RE
.LP
See also the message variant #wxNavigationKey{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxNavigationKeyEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getDirection(This::wxNavigationKeyEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnavigationkeyevent\&.html#wxnavigationkeyeventgetdirection>\&.
.RE
.LP
.B
setDirection(This::wxNavigationKeyEvent(), BForward::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnavigationkeyevent\&.html#wxnavigationkeyeventsetdirection>\&.
.RE
.LP
.B
isWindowChange(This::wxNavigationKeyEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnavigationkeyevent\&.html#wxnavigationkeyeventiswindowchange>\&.
.RE
.LP
.B
setWindowChange(This::wxNavigationKeyEvent(), BIs::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnavigationkeyevent\&.html#wxnavigationkeyeventsetwindowchange>\&.
.RE
.LP
.B
isFromTab(This::wxNavigationKeyEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnavigationkeyevent\&.html#wxnavigationkeyeventisfromtab>\&.
.RE
.LP
.B
setFromTab(This::wxNavigationKeyEvent(), BIs::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnavigationkeyevent\&.html#wxnavigationkeyeventsetfromtab>\&.
.RE
.LP
.B
getCurrentFocus(This::wxNavigationKeyEvent()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnavigationkeyevent\&.html#wxnavigationkeyeventgetcurrentfocus>\&.
.RE
.LP
.B
setCurrentFocus(This::wxNavigationKeyEvent(), Win::wxWindow() (see module wxWindow)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxnavigationkeyevent\&.html#wxnavigationkeyeventsetcurrentfocus>\&.
.RE
